<script>
  export let scaling = "within_all_building_types";

  // Define functions to set the scaling type
  function SetAcross(){
    scaling = "across";
  }
  function SetWithin(){
    scaling = "within";
  }

</script>

<div class="col">
  <div class="form-check-col">
    <p style="font-weight: bold">Scaling: </p>
      <div class="col">
        <input class="btn btn-secondary active" 
              type="radio" 
              name="within" 
              bind:group="{scaling}" 
              value="within" 
              id="within">
        Within building types
            <input class="btn btn-secondary active" 
                  type="radio" 
                  name="across" 
                  bind:group="{scaling}" 
                  value="across" 
                  id="across">
        Across building types
      </div>
  </div>
</div>

